DRM_RECT_CALC_VSCALE(9)

NAME
drm_rect_calc_vscale_relaxed - calculate the vertical scaling factor

SYNOPSIS

int drm_rect_calc_vscale_relaxed(struct drm_rect * src, struct drm_rect * dst, int min_vscale, int max_vscale);

ARGUMENTS

src
    source window rectangle

dst
    destination window rectangle

min_vscale
    minimum allowed vertical scaling factor

max_vscale
    maximum allowed vertical scaling factor

DESCRIPTION

Calculate the vertical scaling factor as (src height) / (dst height).

If the calculated scaling factor is below min_vscale, decrease the height of rectangle dst to compensate.

If the calculated scaling factor is above max_vscale, decrease the height of rectangle src to compensate.

RETURNS

The vertical scaling factor.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT